#!/bin/sh

CC=gcc

CFLAGS="-funit-at-a-time -frecord-gcc-switches -m64 -g0 -O3 -march=k8 -msse -msse2 -m3dnow -mmmx -fforce-addr -funroll-all-loops -ftree-vectorize -pipe -fvisibility=hidden -fstack-protector -fomit-frame-pointer -s -fmerge-all-constants -ffreestanding"

# -frtl-abstract-sequences" 
# -ffreestanding"

LDFLAGS="-Wl,-as-needed" 

export CC CFLAGS LDFLAGS

./configure --prefix=/usr --sysconfdir=/usr/share --sharedstatedir=/usr/share \
	    --localstatedir=/var --libdir=/usr/lib64 --includedir=/usr/include \
	    --datarootdir=/usr/share --datadir=/usr/share --infodir=/usr/share/info \
	    --localedir=/usr/share/locale --mandir=/usr/share/man \
	    --build="x86_64-gnu-linux" --host="x86_64-gnu-linux" \
	    --disable-extcharset \
	    --enable-netcode \
	    --enable-background \
	    --enable-utf8 \
	    --with-mmap \
	    --without-gnu-ld \
	    --with-x \
	    --with-vfs \
	    --with-mcfs \
	    --with-samba \
	    --with-configdir=/etc/samba \
	    --with-codepagedir=/usr/lib/samba/codepages \
	    --with-gpm-mouse \
	    --with-subshell \
	    --with-screen=slang \
	    --with-edit \
            --without-ext2undel \
            --without-libintl-prefix \
	    --without-libiconv-prefix;
# --with-glib-static;



